Fehler beim mounten des Depots

Antworten
JanK
Beiträge: 16
Registriert: 02 Jun 2022, 09:09

Fehler beim mounten des Depots

Beitrag von JanK »

Hallo,
wenn ich eine Installation auf einem Client anstoße kommt folgender Fehler. (Tritt nur bei einzelnen Clients auf).

Hier der Fehler beim Client:
Fehlermeldung_Client.png
Fehlermeldung_Client.png (194.52 KiB) 245 mal betrachtet

Nicht wundern, die IP Adresse des Server habe ich mit [IP-Opisiserver] ersetzt.

Hier die Log Datei:

Code: Alles auswählen

5751)    [5] [2022-07-28 08:47:51.058] [event processing on_demand              ] Mounting depot share smb://[IP-OPSIServer]/opsi_depot   (EventProcessing.py:428)
(5752)    [6] [2022-07-28 08:47:51.058] [event processing on_demand              ] JSONRPC request to https://[IP-OPSIServer]:4447/rpc: ip_version=4, id=12, method=user_getCredentials, Content-Type=application/msgpack, Content-Encoding=lz4, timeout=(10, 300)   (jsonrpc.py:429)
(5753)    [6] [2022-07-28 08:47:51.089] [event processing on_demand              ] Got response status=200, Content-Type=application/msgpack, Content-Encoding=, duration=0.031s   (jsonrpc.py:452)
(5754)    [6] [2022-07-28 08:47:51.090] [event processing on_demand              ] Added depot '[IP-OPSIServer]' to trusted domains   (EventProcessing.py:458)
(5755)    [5] [2022-07-28 08:47:51.091] [event processing on_demand              ] Mounting '\\[IP-OPSIServer]\opsi_depot' to 'p:'   (Windows.py:899)
(5756)    [3] [2022-07-28 08:47:51.211] [event processing on_demand              ] Failed to mount '\\[IP-OPSIServer]\opsi_depot': (86, 'WNetAddConnection2', 'Das angegebene Netzwerkkennwort ist falsch.')   (Windows.py:904)
(5757)    [3] [2022-07-28 08:47:51.224] [event processing on_demand              ] Failed to process product action requests: Failed to mount '\\[IP-OPSIServer]\opsi_depot': (86, 'WNetAddConnection2', 'Das angegebene Netzwerkkennwort ist falsch.')   (EventProcessing.py:877)
(5758)    Traceback (most recent call last):
(5759)      File "OPSI\System\Windows.py", line 901, in mount
(5760)    pywintypes.error: (86, 'WNetAddConnection2', 'Das angegebene Netzwerkkennwort ist falsch.')
(5761)    
(5762)    The above exception was the direct cause of the following exception:
(5763)    
(5764)    Traceback (most recent call last):
(5765)      File "opsiclientd\EventProcessing.py", line 857, in processProductActionRequests
(5766)      File "opsiclientd\EventProcessing.py", line 972, in runActions
(5767)      File "opsiclientd\EventProcessing.py", line 476, in mountDepotShare
(5768)      File "OPSI\System\Windows.py", line 905, in mount
(5769)    RuntimeError: Failed to mount '\\[IP-OPSIServer]\opsi_depot': (86, 'WNetAddConnection2', 'Das angegebene Netzwerkkennwort ist falsch.')

Benutzeravatar
n.doerrer
uib-Team
Beiträge: 123
Registriert: 23 Okt 2020, 16:11

Re: Fehler beim mounten des Depots

Beitrag von n.doerrer »

Hallo,

grundsätzlich scheint die Kommunikation mit dem server möglich zu sein, sonst wäre er nicht bis zum mount-Versuch gekommen. Die hostkeys stimmen also. Eventuell ein Problem mit dem samba-Passwort. Eventuell irgendwelche encoding-Probleme falls es sehr abenteuerliche Sonderzeichen enthält. Möglicherweise hilft es dann, am server das samba-Passwort neu zu setzen.

Ansonsten am besten mal auf einem betroffenen client das opsiclientd loglevel temporär auf 9 setzen - dann tauchen Passwörter (im Klartext!!) im log auf. Vielleicht fällt dabei etwas auf. Anschließend loglevel wieder runterstellen und ggfs logfiles bereinigen/löschen.
Antworten